Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.sessionReconstruction
Class SessionReconstructionFilter

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.tools.traceAnalysis.filter.sessionReconstruction.SessionReconstructionFilter

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IPlugin

    public class SessionReconstructionFilter

extends AbstractFilterPlugin

This filter reconstructs sessions from execution or message traces.

Since:
  1.10
Author:
  Holger Knoche

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary
`static String` | `CONFIG_PROPERTY_NAME_MAX_THINK_TIME` This is name of the configuration parameter which accepts the maximum think time (i.e.
`static String` | `CONFIG_PROPERTY_NAME_TIMEUNIT` This is the name of the property determining the used time unit.
`static String` | `CONFIG_PROPERTY_VALUE_MAX_THINK_TIME` This is the default value for the maximal think time.
`static String` | `CONFIG_PROPERTY_VALUE_TIMEUNIT` This is the default used time unit.
`static String` | `INPUT_PORT_NAME_EXECUTION_TRACES` Name of the input port accepting execution traces.
`static String` | `OUTPUT_PORT_NAME_EXECUTION_TRACE_SESSIONS` Name of the output port dispatching execution trace-based sessions.

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`SessionReconstructionFilter(Configuration configuration, IProjectContext projectContext)` Creates a new session reconstruction filter using the given configuration.

Method Summary
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`void` | `processExecutionTrace(ExecutionTrace executionTrace)` Processes an incoming execution.
`void` | `terminate(boolean previousError)` Initiates a termination of the plugin.

Methods inherited from class kieker.analysis.plugin.filter.AbstractFilterPlugin
`init`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Field Detail

### INPUT_PORT_NAME_EXECUTION_TRACES

    public static final String INPUT_PORT_NAME_EXECUTION_TRACES

  Name of the input port accepting execution traces.

  See Also:
    Constant Field Values

### OUTPUT_PORT_NAME_EXECUTION_TRACE_SESSIONS

    public static final String OUTPUT_PORT_NAME_EXECUTION_TRACE_SESSIONS

  Name of the output port dispatching execution trace-based sessions.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_TIMEUNIT

    public static final String CONFIG_PROPERTY_NAME_TIMEUNIT

  This is the name of the property determining the used time unit.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_VALUE_TIMEUNIT

    public static final String CONFIG_PROPERTY_VALUE_TIMEUNIT

  This is the default used time unit.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_MAX_THINK_TIME

    public static final String CONFIG_PROPERTY_NAME_MAX_THINK_TIME

  This is name of the configuration parameter which accepts the maximum think time (i.e. the time interval after which a new session is started)

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_VALUE_MAX_THINK_TIME

    public static final String CONFIG_PROPERTY_VALUE_MAX_THINK_TIME

  This is the default value for the maximal think time.

  See Also:
    Constant Field Values

Constructor Detail

### SessionReconstructionFilter

    public SessionReconstructionFilter(Configuration configuration,
                                       IProjectContext projectContext)

  Creates a new session reconstruction filter using the given configuration.

  Parameters:
    `configuration` - The configuration for this component.
    `projectContext` - The project context for this component. The component will be registered.

Method Detail

### getCurrentConfiguration

    public Configuration getCurrentConfiguration()

  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in interface `IPlugin`
  Specified by:
    `getCurrentConfiguration` in class `AbstractAnalysisComponent`
  Returns:
    A completely filled configuration object.

### processExecutionTrace

    public void processExecutionTrace(ExecutionTrace executionTrace)

  Processes an incoming execution.

  Parameters:
    `executionTrace` - The execution trace to process.

### terminate

    public void terminate(boolean previousError)

  Description copied from class: `AbstractFilterPlugin`
  Initiates a termination of the plugin. This method is only used by the framework and should not be called manually. Use the method `AnalysisController.terminate(boolean)` instead. After receiving this notification, the plugin should terminate any running methods, e.g., read for readers.

  Specified by:
    `terminate` in interface `IPlugin`
  Overrides:
    `terminate` in class `AbstractFilterPlugin`
  Parameters:
    `previousError` - Determines whether the plugin is terminated due to an error or not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net